
Rem
bbdoc: Klasse die auf dem Server einen Client/Spieler reprsentiert
End Rem
Type TNetPeer
	Field _peer:Byte Ptr
	Field _data:Object
	
	Rem
	bbdoc: Erstellt einen neuen Client aufgrund eines ENet-Peers
	about:
	Diese Methode wird intern vom Server verwendet und muss nicht manuell aufgerufen werden
	End Rem
	Function Create:TNetPeer(peer:Byte Ptr)
		Local p:TNetPeer = New TNetPeer
		p._peer = peer
		Return p
	End Function
	
	Rem
	bbdoc: Gibt den ENet-Peer zurck, der diesem Client/Spieler zugrunde liegt
	about:
	Diese Methode wird intern vom Server verwendet und muss nicht manuell aufgerufen werden
	End Rem
	Method GetPeer:Byte Ptr()
		Return _peer
	End Method
	
	Rem
	bbdoc: Gibt die dem Client/Spieler zugewiesenen Daten zurck (siehe SetData)
	End Rem
	Method GetData:Object()
		Return _data
	End Method
	
	Rem
	bbdoc: Legt fr diesen Client/Spieler ein Daten-Objekt fest
	about:
	Dies Kann verwendet werden um dem TNetPeer eine eigene Spieler-Objekt oder sonstige Daten zuzuweisen.
	Mittels TNetServer.GetClients() kann dann eine Liste von TNetPeers abgerufen werden und bei diesen TNetPeers
	wiederum die gespeicherten Daten abgerufen werden, mit TNetPeer.GetData()
	End Rem
	Method SetData(value:Object)
		_data = value
	End Method
End Type